> For the complete documentation index, see [llms.txt](https://docs.secoda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secoda.co/api/reference/helpful-information.md).

# Helpful Information

Secoda's APIs generally follow the CRUD pattern (Create, Read, Update, Delete). The data elements that are managed with these APIs are called Resources. Generally, each resource maps to an integration, with many set and customizable properties called Metadata.

#### Troubleshooting

If the request does not behave as expected, try adding a trailing slash to the endpoints, for example, `/resource/catalog/`.

#### Important Terminology

**Workspace:** In Secoda, a workspace is the environment within the application where teams can integrate resources and metadata and add documentation, either through the UI or programatically through the API.

**Resource:** In Secoda, a resource is any entity that metadata can be added to. This includes, but is not limited to, tables, dashboards, charts, columns, queries, documents, glossary terms, and more.

**Metadata:** In Secoda, metadata is the additional information you can provide to add context to your resources. This includes descriptions, definitions, owners, custom properties, and more. Metadata is the lifeblood of Secoda; the more you put in, the more you'll get out of the tool!

#### Resource Heirarchy

Nearly all resources in Secoda can be nested under a parent. A resource has a one to many relationship with its child. This means thats a parent resource can have several children, but a child resource can only have one parent.

For Collections, Glossary Terms, and Documents, the parent must be the same resource type. However, there are two unique heirarchy structures that the application expects when adding net new resources.

**Table Heirarchy:** Integration > Databases > Schemas > Tables > Columns > Columns (if nested)

**Dashboard Heirarchy:** Integration > Groups > Dashboards > Charts

#### Rate Limits

Secoda enforces a rate limit of 30 calls/min on PUT/PATCH/POST requests on all entity endpoints. This currently includes the following entities: Chart, Collection, Column, Dashboard, Database, Glossary Term, Document, Event, Job, Job Group, Job Run, Job Task, Metric, Question, Question Reply, Schema, Search, Table.

Any requests exceeding the usage limit will be returned with a 429 (Too many requests) response.

If you are encountering 429 responses, you will want to incorporate a retry after delay or backoff strategy to ensure your requests are accepted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.secoda.co/api/reference/helpful-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
